Package com.google.android.exoplayer2.testutil

## Class HttpDataSourceTestEnv

- java.lang.Object
- - org.junit.rules.ExternalResource
  - - com.google.android.exoplayer2.testutil.HttpDataSourceTestEnv

- All Implemented Interfaces:
    `org.junit.rules.TestRule`

      @RequiresApi(19)
      public class HttpDataSourceTestEnv
      extends org.junit.rules.ExternalResource

  A JUnit `Rule` that creates test resources for `HttpDataSource` contract tests.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpDataSourceTestEnv()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `after()` |
    `protected void` | `before()` |
    `String` | `getNonexistentUrl()` |
    `ImmutableList<DataSourceContractTest.TestResource>` | `getServedResources()` |

    - ### Methods inherited from class org.junit.rules.ExternalResource

      `apply`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpDataSourceTestEnv

          public HttpDataSourceTestEnv()

  - ### Method Detail

    - #### getServedResources

          public ImmutableList<DataSourceContractTest.TestResource> getServedResources()

    - #### getNonexistentUrl

          public String getNonexistentUrl()

    - #### before

          protected void before()
                         throws Throwable

      Overrides:
        `before` in class `org.junit.rules.ExternalResource`
      Throws:
        `Throwable`

    - #### after

          protected void after()

      Overrides:
        `after` in class `org.junit.rules.ExternalResource`